using System;
using System.Collections.Generic;
using System.Text;
using JuSNS.Factory.ApiInterface;
using JuSNS.Model.ApiInterface;

namespace JuSNS.ApiInterface
{
    /// <summary>
    /// 通知类
    /// </summary>
    public class Notification
    {
        static private INotification dal;
        static Notification()
        {
            dal = DataAccess.CreateNotification();
        }
        /// <summary>
        /// 发送通知
        ///</summary>
        static public int Send(NoticeInfo info)
        {
            return dal.Send(info);
        }
        /// <summary>
        /// 取得通知信息
        /// </summary>
        /// <param name="UserID">用户ID</param>
        /// <param name="AppID">应用程序ID</param>
        /// <returns></returns>
        static public List<NoticeInfo> GetNotice(int UserID, int AppID)
        {
            return dal.GetNotice(UserID, AppID);
        }
    }
}
